# Test::Warnings introduced in Fedora 18
%if 0%{?fedora} < 18 && 0%{?rhel} < 7
%global no_test_warnings 1
%else
%global no_test_warnings 0
%endif

Name:           perl-Exporter-Tiny
Version:        1.002002
Release:        3%{?org_tag}%{?dist}
Summary:        Exporter with the features of Sub::Exporter but only core dependencies
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Exporter-Tiny/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/Exporter-Tiny-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
# Module Build
BuildRequires:  perl >= 0:5.006001
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl-interpreter
BuildRequires: perl-generators
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.17
# Module Runtime
BuildRequires: perl(Carp)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
# Test Suite
BuildRequires: perl(lib)
BuildRequires: perl(Test::More) >= 0.47
# Optional Tests
BuildRequires: perl(Test::Fatal)
%if ! %{no_test_warnings}
BuildRequires: perl(Test::Warnings)
%endif
# Runtime
Requires: perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires: perl(Carp)


%description
Exporter::Tiny supports many of Sub::Exporter's external-facing features
including renaming imported functions with the -as, -prefix and -suffix
options; explicit destinations with the into option; and alternative
installers with the installer option. But it's written in only about 40% as
many lines of code and with zero non-core dependencies.

Its internal-facing interface is closer to Exporter.pm, with configuration
done through the @EXPORT, @EXPORT_OK and %EXPORT_TAGS package variables.

Exporter::Tiny performs most of its internal duties (including resolution of
tag names to sub names, resolution of sub names to coderefs, and installation
of coderefs into the target package) as method calls, which means they can be
overridden to provide interesting behavior.

%prep
%setup -q -n Exporter-Tiny-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYRIGHT CREDITS dist.ini doap.ttl LICENSE META.json README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jan 23 2025 Jean-Philippe Pialasse <jpp@koozali.org> 1.002002-3.sme
- import to SME11

* Mon Oct 12 2020 Gavin Carr <gavin@openfusion.com.au> 1.002002-1
- Specfile autogenerated by cpanspec 1.78.
